/* Author: Derek O Reilly, Dundalk Institute of Technology, Ireland. */



class MultipleChoiceQuizButton extends Button
{
    /* Each gameObject MUST have a constructor() and a render() method.        */
    /* If the object animates, then it must also have an updateState() method. */

    constructor(isCorrectAnswer, x, y, width, height, text, backgroundImage)
    {
        super(x, y, width, height, text, true, backgroundImage, 20, "Times Roman", "Black", "#ee6", "#999", 5);

        /* These variables depend on the object */
        this.isCorrectAnswer = isCorrectAnswer;
        this.x = x;
        this.y = y;
        this.width = width;
        this.height = height;
        this.text = text;
        this.backgroundImage = backgroundImage;
    }

    isThisTheCorrectAnswer()
    {
        return this.isCorrectAnswer;
    }
}